<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_AokiIsamuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Aoki, Isamu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_AokiIsamuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Aoki, Isamu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_AokiMitsuoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Aoki, Mitsuo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_AokiMitsuoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Aoki, Mitsuo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Daily goods and apparel business</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Daily goods and apparel business, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_HenmiKayoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Henmi, Kayo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_HenmiKayoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Henmi, Kayo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kaihoshi, Toshihiro</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kaihoshi, Toshihiro [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KitamuraHideichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kitamura, Hideichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KitamuraHideichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kitamura, Hideichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KumeYugoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kume, Yugo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_KumeYugoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kume, Yugo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_MasudaHideoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Masuda, Hideo</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_MasudaHideoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Masuda, Hideo [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nagano, Kiyoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nagano, Kiyoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_NozueJyuichiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nozue, Jyuichi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_NozueJyuichiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nozue, Jyuichi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Ozawa, Kazutoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Ozawa, Kazutoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sakaguchi,Takao</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sakaguchi,Takao [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_SeguchiUharuMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Seguchi, Uharu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E02444-000_SeguchiUharuMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Seguchi, Uharu [member]</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_AokiIsamuMember" xlink:label="jpcrp030000-asr_E02444-000_AokiIsamuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_AokiMitsuoMember" xlink:label="jpcrp030000-asr_E02444-000_AokiMitsuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_HenmiKayoMember" xlink:label="jpcrp030000-asr_E02444-000_HenmiKayoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember" xlink:label="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_KitamuraHideichiMember" xlink:label="jpcrp030000-asr_E02444-000_KitamuraHideichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_KumeYugoMember" xlink:label="jpcrp030000-asr_E02444-000_KumeYugoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_MasudaHideoMember" xlink:label="jpcrp030000-asr_E02444-000_MasudaHideoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_NaganoKiyoshiMember" xlink:label="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_NozueJyuichiMember" xlink:label="jpcrp030000-asr_E02444-000_NozueJyuichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_OzawaKazutoshiMember" xlink:label="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_SakaguchiTakaoMember" xlink:label="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E02444-000_2025-03-31_01_2025-06-26.xsd#jpcrp030000-asr_E02444-000_SeguchiUharuMember" xlink:label="jpcrp030000-asr_E02444-000_SeguchiUharuMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_AokiIsamuMember" xlink:to="jpcrp030000-asr_E02444-000_AokiIsamuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_AokiIsamuMember" xlink:to="jpcrp030000-asr_E02444-000_AokiIsamuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_AokiMitsuoMember" xlink:to="jpcrp030000-asr_E02444-000_AokiMitsuoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_AokiMitsuoMember" xlink:to="jpcrp030000-asr_E02444-000_AokiMitsuoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E02444-000_DailyGoodsAndApparelBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_HenmiKayoMember" xlink:to="jpcrp030000-asr_E02444-000_HenmiKayoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_HenmiKayoMember" xlink:to="jpcrp030000-asr_E02444-000_HenmiKayoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember" xlink:to="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember" xlink:to="jpcrp030000-asr_E02444-000_KaihoshiToshihiroMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KitamuraHideichiMember" xlink:to="jpcrp030000-asr_E02444-000_KitamuraHideichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KitamuraHideichiMember" xlink:to="jpcrp030000-asr_E02444-000_KitamuraHideichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KumeYugoMember" xlink:to="jpcrp030000-asr_E02444-000_KumeYugoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_KumeYugoMember" xlink:to="jpcrp030000-asr_E02444-000_KumeYugoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_MasudaHideoMember" xlink:to="jpcrp030000-asr_E02444-000_MasudaHideoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_MasudaHideoMember" xlink:to="jpcrp030000-asr_E02444-000_MasudaHideoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember" xlink:to="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember" xlink:to="jpcrp030000-asr_E02444-000_NaganoKiyoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_NozueJyuichiMember" xlink:to="jpcrp030000-asr_E02444-000_NozueJyuichiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_NozueJyuichiMember" xlink:to="jpcrp030000-asr_E02444-000_NozueJyuichiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember" xlink:to="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember" xlink:to="jpcrp030000-asr_E02444-000_OzawaKazutoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember" xlink:to="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember" xlink:to="jpcrp030000-asr_E02444-000_SakaguchiTakaoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_SeguchiUharuMember" xlink:to="jpcrp030000-asr_E02444-000_SeguchiUharuMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E02444-000_SeguchiUharuMember" xlink:to="jpcrp030000-asr_E02444-000_SeguchiUharuMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>